Subject: [PATCH] net: ethernet: remove unneeded dependency of mvneta and update help text

From: [email-masked] (Andrew Lunn)
Date: Tue, 18 Feb 2014 14:58:09 +0100

> At this point, I don't expect to see this IP in any other SOCs than
> Marvell Armada EBU, so I'll resend with a "depends on PLAT_ORION", as I
> agree it is much safer in terms of build problems.

Hi Thomas

PLAT_ORION is a bit of an odd thing now.

For me, PLAT_ORION means arch/arm/plat-orion. 

But as far as i know, 370/XP does not actually use anything from
arch/arm/plat-orion. When kirkwood moves into mach-mvebu, it also will
not use any code from it, and i suspect dove is the same.

So maybe in a few cycles, when only mach-orion5x is left, we can merge
arch/arm/plat-orion into arch/arm/mach-orion5x and PLAT_ORION goes
away?

Or do we want to define that PLAT_ORION means any system which can
make use of mvebu drivers?

     Andrew